/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.CategoriaMarcaDAO;
import com.rjconsultores.ventaboletos.entidad.CategoriaCorrida;
import com.rjconsultores.ventaboletos.entidad.CategoriaCtrl;
import com.rjconsultores.ventaboletos.entidad.CategoriaMarca;
import com.rjconsultores.ventaboletos.service.CategoriaMarcaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("categoriaMarcaService")
public class CategoriaMarcaServiceImpl implements CategoriaMarcaService {

    @Autowired
    private CategoriaMarcaDAO categoriaMarcaDAO;

    public List<CategoriaMarca> obtenerTodos() {
        return categoriaMarcaDAO.obtenerTodos();
    }

    public CategoriaMarca obtenerID(Integer id) {
        return categoriaMarcaDAO.obtenerID(id);
    }

    @Transactional
    public CategoriaMarca suscribir(CategoriaMarca entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return categoriaMarcaDAO.suscribir(entidad);
    }

    @Transactional
    public CategoriaMarca actualizacion(CategoriaMarca entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return categoriaMarcaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(CategoriaMarca entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        categoriaMarcaDAO.actualizacion(entidad);
    }

    public CategoriaMarca busquedaPoCategoriaCtrl(CategoriaCtrl categoriaCtrl) {
        return categoriaMarcaDAO.busquedaPoCategoriaCtrl(categoriaCtrl);
    }

    @Transactional
	@Override
	public void actualizacionAuditagem(List<CategoriaMarca> lsCategoriaMarca) {

		for (CategoriaMarca cc : lsCategoriaMarca) {
			if(cc.getActivo()) {
				continue;
			}
			categoriaMarcaDAO.actualizacion(cc);
		}			
	}
}
